The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Updating WHM from 11.46.1 to 56

Discussion in 'General Discussion' started by JoaoFalcao, Apr 15, 2016.

  1. JoaoFalcao

    JoaoFalcao Registered

    Joined:
    Dec 11, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Portugal
    cPanel Access Level:
    Root Administrator
    Hi there,

    So i am running WHM 11.46.1 with EasyApache 3.32.12 (using php 5.3) but would like to update to WHM 56 as I have seen that I can have a per account PHP version so that I can update the sites one by one.

    When updating, will I keep the PHP 5.3 currently installed or will it change? Because I have lots of websites still depending on php 5.3 (currently being updated to support 5.6) that would otherwise break!

    Thanks for the help.
    Joao
     
  2. cPanelKenneth

    cPanelKenneth cPanel Development
    Staff Member

    Joined:
    Apr 7, 2006
    Messages:
    4,461
    Likes Received:
    22
    Trophy Points:
    38
    cPanel Access Level:
    Root Administrator
    To get our multi-php support, you must also convert to EasyApache 4. We do not currently provide PHP 5.3 with EasyApache 4.
     
  3. cPTerrance

    cPTerrance *nix Technical Analyst II / Migrations Specialist
    Staff Member

    Joined:
    Jul 9, 2015
    Messages:
    72
    Likes Received:
    8
    Trophy Points:
    8
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    You can safely update cPanel/WHM itself without PHP itself updating, it will only update when you run EasyApache. I do suggest updating regardless as 11.46 is long EOL and a lot of issues have been addressed since then. If you do want Multi-PHP with PHP 5.3, your only choice would be to utilize CloudLinux.
     
Loading...

Share This Page